wibble::StlIterator< It > Struct Template Reference

`#include <iterator.h>`

Inheritance diagram for wibble::StlIterator< It >:
[legend]
Collaboration diagram for wibble::StlIterator< It >:
[legend]

## Public Types

typedef std::iterator_traits< It >::value_type | Value
Public Types inherited from wibble::IteratorMixin< It::value_type, StlIterator< It > >
typedef It::value_type | ElementType
typedef std::forward_iterator_tag | iterator_category
typedef It::value_type | value_type
typedef ptrdiff_t | difference_type
typedef It::value_type * | pointer
typedef It::value_type & | reference
typedef const It::value_type & | const_reference

## Public Member Functions

| StlIterator (It i)
virtual void | advance ()
virtual Value | current () const
bool | operator== (const StlIterator< It > &o)
Public Member Functions inherited from wibble::IteratorMixin< It::value_type, StlIterator< It > >
StlIterator< It > & | self ()
const StlIterator< It > & | self () const
IteratorProxy< It::value_type > | operator-> () const
StlIterator< It > | next () const
It::value_type | operator* () const
StlIterator< It > & | operator++ ()
StlIterator< It > | operator++ (int)
Public Member Functions inherited from wibble::mixin::Comparable< StlIterator< It > >
const StlIterator< It > & | cmpSelf () const
bool | operator!= (const StlIterator< It > &o) const
bool | operator== (const StlIterator< It > &o) const
bool | operator< (const StlIterator< It > &o) const
bool | operator> (const StlIterator< It > &o) const
bool | operator>= (const StlIterator< It > &o) const

## Protected Attributes

It | m_iterator

## Member Typedef Documentation

template<typename It>

typedef std::iterator_traits< It >::value_type wibble::StlIterator< It >::Value

## Constructor & Destructor Documentation

template<typename It>

wibble::StlIterator< It >::StlIterator | ( | It | i | ) |

inline

## Member Function Documentation

template<typename It>

virtual void wibble::StlIterator< It >::advance | ( |  | ) |

inline virtual

References wibble::StlIterator< It >::m_iterator.

template<typename It>

virtual Value wibble::StlIterator< It >::current | ( |  | ) | const

inline virtual

References wibble::StlIterator< It >::m_iterator.

template<typename It>

bool wibble::StlIterator< It >::operator== | ( | const StlIterator< It > & | o | ) |

inline

References wibble::StlIterator< It >::m_iterator.

## Member Data Documentation

template<typename It>

It wibble::StlIterator< It >::m_iterator

protected

Referenced by wibble::StlIterator< It >::advance(), wibble::StlIterator< It >::current(), and wibble::StlIterator< It >::operator==().

The documentation for this struct was generated from the following file:

- iterator.h